/**********************************************************************
 *                                                                    *
 *  cfKolabAdmin - QT application for simple user administration of   *
 *    a Kolab1 server.                                                *
 *                                                                    *
 *  Copyright (c) 2004  Code Fusion cc                                *
 *  Writen by                                                         *
 *    Stephan Buys  <s.buys@codefusion.co.za>                         *
 *    Stuart Bing  <s.binge@codefusion.co.za>                        *
 *                                                                    *
 *  This  program is free  software; you can redistribute  it and/or  *
 *  modify it  under the terms of the GNU  General Public License as  *
 *  published by the  Free Software Foundation; either version 2, or  *
 *  (at your option) any later version.                               *
 *                                                                    *
 *  This program is  distributed in the hope that it will be useful,  *
 *  but WITHOUT  ANY WARRANTY; without even the  implied warranty of  *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  *
 *  General Public License for more details.                          *
 *                                                                    *
 *  You can view the  GNU General Public License, online, at the GNU  *
 *  Project's homepage; see <http://www.gnu.org/licenses/gpl.html>.   *
 *                                                                    *
 **********************************************************************/

#ifndef HEADER_LDAPATTRIBUTES
#define HEADER_LDAPATTRIBUTES

#include <vector>
#include <qstring.h>
#include <ldap.h>

typedef std::vector<ldapmod *>          LdapAttrVec;
typedef LdapAttrVec::iterator           LdapAttrIter;

typedef std::vector<QString>            QStringVec;
typedef QStringVec::iterator            QStringIter;
typedef QStringVec::const_iterator      QStringConstIter;

QString getAttrDesc(const char * attr);

void initLDAPAttributes(LdapAttrVec & attrs);
void addLDAPAttributes(LdapAttrVec & attrs, const char * name, const QString & value, int mode = 0);
void addLDAPAttributes(LdapAttrVec & attrs, const char * name, const QStringVec & values, int mode = 0);
void clearLDAPAttributes(LdapAttrVec & attrs);

#endif
