;
;  cfKolabAdmin - QT application for simple user administration of
;    a Kolab1 server.
;
;  Copyright (c) 2004  Code Fusion cc
;  Writen by
;    Stephan Buys  <s.buys@codefusion.co.za>
;    Stuart Bing  <s.binge@codefusion.co.za>
;
;  This  program is free  software; you can redistribute  it and/or
;  modify it  under the terms of the GNU  General Public License as
;  published by the  Free Software Foundation; either version 2, or
;  (at your option) any later version.
;
;  This program is  distributed in the hope that it will be useful,
;  but WITHOUT  ANY WARRANTY; without even the  implied warranty of
;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
;  General Public License for more details.
;
;  You can view the  GNU General Public License, online, at the GNU
;  Project's homepage; see <http://www.gnu.org/licenses/gpl.html>.
;

; This NSIS script simply installs the cfKolabAdmin executable, a
; default settings file and the QT/Win32 Free dll to, by default,
; program files/cfKolabAdmin. Shortcuts are also added to start
; menu/cfKolabAdmin, although this can't currently be modified.
; An uninstaller is also written to the program directory to remove
; all installed files.

;--------------------------------
; The name of the installer

Name "Code Fusion Kolab Administrator"

; The name of the installer executable

OutFile "cfka-install.exe"

; The default installation directory

InstallDir "$PROGRAMFILES\cfKolabAdmin"

;--------------------------------
; Pages

Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------
; Installation

Section "Installation"

  ; Set output path to the installation directory.
  SetOutPath "$INSTDIR"

  ; Put file there
  File "cfKolabAdmin.exe"
  File "cfKolabAdmin.xml"
  File "qt-mt310.dll"

  WriteUninstaller "cfka-uninstall.exe"

SectionEnd

;--------------------------------
; Menu Entries

Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\cfKolabAdmin"
  CreateShortCut "$SMPROGRAMS\cfKolabAdmin\Uninstall.lnk" "$INSTDIR\cfka-uninstall.exe" "" "$INSTDIR\cfka-uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\cfKolabAdmin\cfKolabAdmin.lnk" "$INSTDIR\cfKolabAdmin.exe" "" "$INSTDIR\cfKolabAdmin.exe" 0

SectionEnd

;--------------------------------
; Uninstallation

Section "Uninstall"

  Delete "$INSTDIR\cfKolabAdmin.exe"
  Delete "$INSTDIR\cfKolabAdmin.xml"
  Delete "$INSTDIR\cfka-uninstall.exe"
  Delete "$INSTDIR\qt-mt310.dll"

  Delete "$SMPROGRAMS\cfKolabAdmin\*.*"

  RMDir "$SMPROGRAMS\cfKolabAdmin"
  RMDir "$INSTDIR"

SectionEnd
